net.minecraftforge.client.gui

## Class ForgeGuiFactory.ForgeConfigGui

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - cpw.mods.fml.client.config.GuiConfig
      - - net.minecraftforge.client.gui.ForgeGuiFactory.ForgeConfigGui

- Enclosing class:
    ForgeGuiFactory

      public static class ForgeGuiFactory.ForgeConfigGui
      extends GuiConfig

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry` This custom list entry provides a button that will open to a screen that will allow a user to define a new mod override.
    `static class` | `ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry` This custom list entry provides the Forge Chunk Manager Config entry on the Minecraft Forge Configuration screen.
    `static class` | `ForgeGuiFactory.ForgeConfigGui.GeneralEntry` This custom list entry provides the General Settings entry on the Minecraft Forge Configuration screen.
    `static class` | `ForgeGuiFactory.ForgeConfigGui.ModIDEntry` This custom list entry provides a Mod ID selector.
    `static class` | `ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry` This custom list entry provides the Mod Overrides entry on the Forge Chunk Loading config screen.

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfig

      `allRequireMcRestart, allRequireWorldRestart, configElements, configID, entryList, initEntries, isWorldRunning, modID, needsRefresh, parentScreen, title, titleLine2`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeGuiFactory.ForgeConfigGui(GuiScreen parentScreen)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfig

      `actionPerformed, drawScreen, drawToolTip, getAbridgedConfigPath, initGui, keyTyped, mouseClicked, mouseMovedOrUp, onGuiClosed, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, mouseClickMove, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeGuiFactory.ForgeConfigGui

          public ForgeGuiFactory.ForgeConfigGui(GuiScreen parentScreen)